IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Prefix/20
Addresses2^108
/64 networks2^44
- Network
ff08:2000::/20- First address
ff08:2000::- Last address
ff08:2fff:ffff:ffff:ffff:ffff:ffff:ffff- Addresses
- 324,518,553,658,426,726,783,156,020,576,256 (2^108)
- /64 networks (LANs)
- 17,592,186,044,416 (2^44)
- Full form
ff08:2000:0000:0000:0000:0000:0000:0000- Type
- Multicast ff00::/8
One-to-many traffic; replaces broadcast - Reverse DNS zone
2.8.0.f.f.ip6.arpa
Split into smaller subnets
ff08:2000::/20 makes 256 subnets of /28.
| # | Subnet | Last address |
|---|---|---|
| 1 | ff08:2000::/28 | ff08:200f:ffff:ffff:ffff:ffff:ffff:ffff |
| 2 | ff08:2010::/28 | ff08:201f:ffff:ffff:ffff:ffff:ffff:ffff |
| 3 | ff08:2020::/28 | ff08:202f:ffff:ffff:ffff:ffff:ffff:ffff |
| 4 | ff08:2030::/28 | ff08:203f:ffff:ffff:ffff:ffff:ffff:ffff |
| 5 | ff08:2040::/28 | ff08:204f:ffff:ffff:ffff:ffff:ffff:ffff |
| 6 | ff08:2050::/28 | ff08:205f:ffff:ffff:ffff:ffff:ffff:ffff |
| 7 | ff08:2060::/28 | ff08:206f:ffff:ffff:ffff:ffff:ffff:ffff |
| 8 | ff08:2070::/28 | ff08:207f:ffff:ffff:ffff:ffff:ffff:ffff |
| 9 | ff08:2080::/28 | ff08:208f:ffff:ffff:ffff:ffff:ffff:ffff |
| 10 | ff08:2090::/28 | ff08:209f:ffff:ffff:ffff:ffff:ffff:ffff |
| 11 | ff08:20a0::/28 | ff08:20af:ffff:ffff:ffff:ffff:ffff:ffff |
| 12 | ff08:20b0::/28 | ff08:20bf:ffff:ffff:ffff:ffff:ffff:ffff |
| 13 | ff08:20c0::/28 | ff08:20cf:ffff:ffff:ffff:ffff:ffff:ffff |
| 14 | ff08:20d0::/28 | ff08:20df:ffff:ffff:ffff:ffff:ffff:ffff |
| 15 | ff08:20e0::/28 | ff08:20ef:ffff:ffff:ffff:ffff:ffff:ffff |
| 16 | ff08:20f0::/28 | ff08:20ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 17 | ff08:2100::/28 | ff08:210f:ffff:ffff:ffff:ffff:ffff:ffff |
| 18 | ff08:2110::/28 | ff08:211f:ffff:ffff:ffff:ffff:ffff:ffff |
| 19 | ff08:2120::/28 | ff08:212f:ffff:ffff:ffff:ffff:ffff:ffff |
| 20 | ff08:2130::/28 | ff08:213f:ffff:ffff:ffff:ffff:ffff:ffff |
| 21 | ff08:2140::/28 | ff08:214f:ffff:ffff:ffff:ffff:ffff:ffff |
| 22 | ff08:2150::/28 | ff08:215f:ffff:ffff:ffff:ffff:ffff:ffff |
| 23 | ff08:2160::/28 | ff08:216f:ffff:ffff:ffff:ffff:ffff:ffff |
| 24 | ff08:2170::/28 | ff08:217f:ffff:ffff:ffff:ffff:ffff:ffff |
| 25 | ff08:2180::/28 | ff08:218f:ffff:ffff:ffff:ffff:ffff:ffff |
| 26 | ff08:2190::/28 | ff08:219f:ffff:ffff:ffff:ffff:ffff:ffff |
| 27 | ff08:21a0::/28 | ff08:21af:ffff:ffff:ffff:ffff:ffff:ffff |
| 28 | ff08:21b0::/28 | ff08:21bf:ffff:ffff:ffff:ffff:ffff:ffff |
| 29 | ff08:21c0::/28 | ff08:21cf:ffff:ffff:ffff:ffff:ffff:ffff |
| 30 | ff08:21d0::/28 | ff08:21df:ffff:ffff:ffff:ffff:ffff:ffff |
| 31 | ff08:21e0::/28 | ff08:21ef:ffff:ffff:ffff:ffff:ffff:ffff |
| 32 | ff08:21f0::/28 | ff08:21ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 33 | ff08:2200::/28 | ff08:220f:ffff:ffff:ffff:ffff:ffff:ffff |
| 34 | ff08:2210::/28 | ff08:221f:ffff:ffff:ffff:ffff:ffff:ffff |
| 35 | ff08:2220::/28 | ff08:222f:ffff:ffff:ffff:ffff:ffff:ffff |
| 36 | ff08:2230::/28 | ff08:223f:ffff:ffff:ffff:ffff:ffff:ffff |
| 37 | ff08:2240::/28 | ff08:224f:ffff:ffff:ffff:ffff:ffff:ffff |
| 38 | ff08:2250::/28 | ff08:225f:ffff:ffff:ffff:ffff:ffff:ffff |
| 39 | ff08:2260::/28 | ff08:226f:ffff:ffff:ffff:ffff:ffff:ffff |
| 40 | ff08:2270::/28 | ff08:227f:ffff:ffff:ffff:ffff:ffff:ffff |
| 41 | ff08:2280::/28 | ff08:228f:ffff:ffff:ffff:ffff:ffff:ffff |
| 42 | ff08:2290::/28 | ff08:229f:ffff:ffff:ffff:ffff:ffff:ffff |
| 43 | ff08:22a0::/28 | ff08:22af:ffff:ffff:ffff:ffff:ffff:ffff |
| 44 | ff08:22b0::/28 | ff08:22bf:ffff:ffff:ffff:ffff:ffff:ffff |
| 45 | ff08:22c0::/28 | ff08:22cf:ffff:ffff:ffff:ffff:ffff:ffff |
| 46 | ff08:22d0::/28 | ff08:22df:ffff:ffff:ffff:ffff:ffff:ffff |
| 47 | ff08:22e0::/28 | ff08:22ef:ffff:ffff:ffff:ffff:ffff:ffff |
| 48 | ff08:22f0::/28 | ff08:22ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 49 | ff08:2300::/28 | ff08:230f:ffff:ffff:ffff:ffff:ffff:ffff |
| 50 | ff08:2310::/28 | ff08:231f:ffff:ffff:ffff:ffff:ffff:ffff |
| 51 | ff08:2320::/28 | ff08:232f:ffff:ffff:ffff:ffff:ffff:ffff |
| 52 | ff08:2330::/28 | ff08:233f:ffff:ffff:ffff:ffff:ffff:ffff |
| 53 | ff08:2340::/28 | ff08:234f:ffff:ffff:ffff:ffff:ffff:ffff |
| 54 | ff08:2350::/28 | ff08:235f:ffff:ffff:ffff:ffff:ffff:ffff |
| 55 | ff08:2360::/28 | ff08:236f:ffff:ffff:ffff:ffff:ffff:ffff |
| 56 | ff08:2370::/28 | ff08:237f:ffff:ffff:ffff:ffff:ffff:ffff |
| 57 | ff08:2380::/28 | ff08:238f:ffff:ffff:ffff:ffff:ffff:ffff |
| 58 | ff08:2390::/28 | ff08:239f:ffff:ffff:ffff:ffff:ffff:ffff |
| 59 | ff08:23a0::/28 | ff08:23af:ffff:ffff:ffff:ffff:ffff:ffff |
| 60 | ff08:23b0::/28 | ff08:23bf:ffff:ffff:ffff:ffff:ffff:ffff |
| 61 | ff08:23c0::/28 | ff08:23cf:ffff:ffff:ffff:ffff:ffff:ffff |
| 62 | ff08:23d0::/28 | ff08:23df:ffff:ffff:ffff:ffff:ffff:ffff |
| 63 | ff08:23e0::/28 | ff08:23ef:ffff:ffff:ffff:ffff:ffff:ffff |
| 64 | ff08:23f0::/28 | ff08:23ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 65 | ff08:2400::/28 | ff08:240f:ffff:ffff:ffff:ffff:ffff:ffff |
| 66 | ff08:2410::/28 | ff08:241f:ffff:ffff:ffff:ffff:ffff:ffff |
| 67 | ff08:2420::/28 | ff08:242f:ffff:ffff:ffff:ffff:ffff:ffff |
| 68 | ff08:2430::/28 | ff08:243f:ffff:ffff:ffff:ffff:ffff:ffff |
| 69 | ff08:2440::/28 | ff08:244f:ffff:ffff:ffff:ffff:ffff:ffff |
| 70 | ff08:2450::/28 | ff08:245f:ffff:ffff:ffff:ffff:ffff:ffff |
| 71 | ff08:2460::/28 | ff08:246f:ffff:ffff:ffff:ffff:ffff:ffff |
| 72 | ff08:2470::/28 | ff08:247f:ffff:ffff:ffff:ffff:ffff:ffff |
| 73 | ff08:2480::/28 | ff08:248f:ffff:ffff:ffff:ffff:ffff:ffff |
| 74 | ff08:2490::/28 | ff08:249f:ffff:ffff:ffff:ffff:ffff:ffff |
| 75 | ff08:24a0::/28 | ff08:24af:ffff:ffff:ffff:ffff:ffff:ffff |
| 76 | ff08:24b0::/28 | ff08:24bf:ffff:ffff:ffff:ffff:ffff:ffff |
| 77 | ff08:24c0::/28 | ff08:24cf:ffff:ffff:ffff:ffff:ffff:ffff |
| 78 | ff08:24d0::/28 | ff08:24df:ffff:ffff:ffff:ffff:ffff:ffff |
| 79 | ff08:24e0::/28 | ff08:24ef:ffff:ffff:ffff:ffff:ffff:ffff |
| 80 | ff08:24f0::/28 | ff08:24ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 81 | ff08:2500::/28 | ff08:250f:ffff:ffff:ffff:ffff:ffff:ffff |
| 82 | ff08:2510::/28 | ff08:251f:ffff:ffff:ffff:ffff:ffff:ffff |
| 83 | ff08:2520::/28 | ff08:252f:ffff:ffff:ffff:ffff:ffff:ffff |
| 84 | ff08:2530::/28 | ff08:253f:ffff:ffff:ffff:ffff:ffff:ffff |
| 85 | ff08:2540::/28 | ff08:254f:ffff:ffff:ffff:ffff:ffff:ffff |
| 86 | ff08:2550::/28 | ff08:255f:ffff:ffff:ffff:ffff:ffff:ffff |
| 87 | ff08:2560::/28 | ff08:256f:ffff:ffff:ffff:ffff:ffff:ffff |
| 88 | ff08:2570::/28 | ff08:257f:ffff:ffff:ffff:ffff:ffff:ffff |
| 89 | ff08:2580::/28 | ff08:258f:ffff:ffff:ffff:ffff:ffff:ffff |
| 90 | ff08:2590::/28 | ff08:259f:ffff:ffff:ffff:ffff:ffff:ffff |
| 91 | ff08:25a0::/28 | ff08:25af:ffff:ffff:ffff:ffff:ffff:ffff |
| 92 | ff08:25b0::/28 | ff08:25bf:ffff:ffff:ffff:ffff:ffff:ffff |
| 93 | ff08:25c0::/28 | ff08:25cf:ffff:ffff:ffff:ffff:ffff:ffff |
| 94 | ff08:25d0::/28 | ff08:25df:ffff:ffff:ffff:ffff:ffff:ffff |
| 95 | ff08:25e0::/28 | ff08:25ef:ffff:ffff:ffff:ffff:ffff:ffff |
| 96 | ff08:25f0::/28 | ff08:25ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 97 | ff08:2600::/28 | ff08:260f:ffff:ffff:ffff:ffff:ffff:ffff |
| 98 | ff08:2610::/28 | ff08:261f:ffff:ffff:ffff:ffff:ffff:ffff |
| 99 | ff08:2620::/28 | ff08:262f:ffff:ffff:ffff:ffff:ffff:ffff |
| 100 | ff08:2630::/28 | ff08:263f:ffff:ffff:ffff:ffff:ffff:ffff |
| 101 | ff08:2640::/28 | ff08:264f:ffff:ffff:ffff:ffff:ffff:ffff |
| 102 | ff08:2650::/28 | ff08:265f:ffff:ffff:ffff:ffff:ffff:ffff |
| 103 | ff08:2660::/28 | ff08:266f:ffff:ffff:ffff:ffff:ffff:ffff |
| 104 | ff08:2670::/28 | ff08:267f:ffff:ffff:ffff:ffff:ffff:ffff |
| 105 | ff08:2680::/28 | ff08:268f:ffff:ffff:ffff:ffff:ffff:ffff |
| 106 | ff08:2690::/28 | ff08:269f:ffff:ffff:ffff:ffff:ffff:ffff |
| 107 | ff08:26a0::/28 | ff08:26af:ffff:ffff:ffff:ffff:ffff:ffff |
| 108 | ff08:26b0::/28 | ff08:26bf:ffff:ffff:ffff:ffff:ffff:ffff |
| 109 | ff08:26c0::/28 | ff08:26cf:ffff:ffff:ffff:ffff:ffff:ffff |
| 110 | ff08:26d0::/28 | ff08:26df:ffff:ffff:ffff:ffff:ffff:ffff |
| 111 | ff08:26e0::/28 | ff08:26ef:ffff:ffff:ffff:ffff:ffff:ffff |
| 112 | ff08:26f0::/28 | ff08:26ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 113 | ff08:2700::/28 | ff08:270f:ffff:ffff:ffff:ffff:ffff:ffff |
| 114 | ff08:2710::/28 | ff08:271f:ffff:ffff:ffff:ffff:ffff:ffff |
| 115 | ff08:2720::/28 | ff08:272f:ffff:ffff:ffff:ffff:ffff:ffff |
| 116 | ff08:2730::/28 | ff08:273f:ffff:ffff:ffff:ffff:ffff:ffff |
| 117 | ff08:2740::/28 | ff08:274f:ffff:ffff:ffff:ffff:ffff:ffff |
| 118 | ff08:2750::/28 | ff08:275f:ffff:ffff:ffff:ffff:ffff:ffff |
| 119 | ff08:2760::/28 | ff08:276f:ffff:ffff:ffff:ffff:ffff:ffff |
| 120 | ff08:2770::/28 | ff08:277f:ffff:ffff:ffff:ffff:ffff:ffff |
| 121 | ff08:2780::/28 | ff08:278f:ffff:ffff:ffff:ffff:ffff:ffff |
| 122 | ff08:2790::/28 | ff08:279f:ffff:ffff:ffff:ffff:ffff:ffff |
| 123 | ff08:27a0::/28 | ff08:27af:ffff:ffff:ffff:ffff:ffff:ffff |
| 124 | ff08:27b0::/28 | ff08:27bf:ffff:ffff:ffff:ffff:ffff:ffff |
| 125 | ff08:27c0::/28 | ff08:27cf:ffff:ffff:ffff:ffff:ffff:ffff |
| 126 | ff08:27d0::/28 | ff08:27df:ffff:ffff:ffff:ffff:ffff:ffff |
| 127 | ff08:27e0::/28 | ff08:27ef:ffff:ffff:ffff:ffff:ffff:ffff |
| 128 | ff08:27f0::/28 | ff08:27ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 129 | ff08:2800::/28 | ff08:280f:ffff:ffff:ffff:ffff:ffff:ffff |
| 130 | ff08:2810::/28 | ff08:281f:ffff:ffff:ffff:ffff:ffff:ffff |
| 131 | ff08:2820::/28 | ff08:282f:ffff:ffff:ffff:ffff:ffff:ffff |
| 132 | ff08:2830::/28 | ff08:283f:ffff:ffff:ffff:ffff:ffff:ffff |
| 133 | ff08:2840::/28 | ff08:284f:ffff:ffff:ffff:ffff:ffff:ffff |
| 134 | ff08:2850::/28 | ff08:285f:ffff:ffff:ffff:ffff:ffff:ffff |
| 135 | ff08:2860::/28 | ff08:286f:ffff:ffff:ffff:ffff:ffff:ffff |
| 136 | ff08:2870::/28 | ff08:287f:ffff:ffff:ffff:ffff:ffff:ffff |
| 137 | ff08:2880::/28 | ff08:288f:ffff:ffff:ffff:ffff:ffff:ffff |
| 138 | ff08:2890::/28 | ff08:289f:ffff:ffff:ffff:ffff:ffff:ffff |
| 139 | ff08:28a0::/28 | ff08:28af:ffff:ffff:ffff:ffff:ffff:ffff |
| 140 | ff08:28b0::/28 | ff08:28bf:ffff:ffff:ffff:ffff:ffff:ffff |
| 141 | ff08:28c0::/28 | ff08:28cf:ffff:ffff:ffff:ffff:ffff:ffff |
| 142 | ff08:28d0::/28 | ff08:28df:ffff:ffff:ffff:ffff:ffff:ffff |
| 143 | ff08:28e0::/28 | ff08:28ef:ffff:ffff:ffff:ffff:ffff:ffff |
| 144 | ff08:28f0::/28 | ff08:28ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 145 | ff08:2900::/28 | ff08:290f:ffff:ffff:ffff:ffff:ffff:ffff |
| 146 | ff08:2910::/28 | ff08:291f:ffff:ffff:ffff:ffff:ffff:ffff |
| 147 | ff08:2920::/28 | ff08:292f:ffff:ffff:ffff:ffff:ffff:ffff |
| 148 | ff08:2930::/28 | ff08:293f:ffff:ffff:ffff:ffff:ffff:ffff |
| 149 | ff08:2940::/28 | ff08:294f:ffff:ffff:ffff:ffff:ffff:ffff |
| 150 | ff08:2950::/28 | ff08:295f:ffff:ffff:ffff:ffff:ffff:ffff |
| 151 | ff08:2960::/28 | ff08:296f:ffff:ffff:ffff:ffff:ffff:ffff |
| 152 | ff08:2970::/28 | ff08:297f:ffff:ffff:ffff:ffff:ffff:ffff |
| 153 | ff08:2980::/28 | ff08:298f:ffff:ffff:ffff:ffff:ffff:ffff |
| 154 | ff08:2990::/28 | ff08:299f:ffff:ffff:ffff:ffff:ffff:ffff |
| 155 | ff08:29a0::/28 | ff08:29af:ffff:ffff:ffff:ffff:ffff:ffff |
| 156 | ff08:29b0::/28 | ff08:29bf:ffff:ffff:ffff:ffff:ffff:ffff |
| 157 | ff08:29c0::/28 | ff08:29cf:ffff:ffff:ffff:ffff:ffff:ffff |
| 158 | ff08:29d0::/28 | ff08:29df:ffff:ffff:ffff:ffff:ffff:ffff |
| 159 | ff08:29e0::/28 | ff08:29ef:ffff:ffff:ffff:ffff:ffff:ffff |
| 160 | ff08:29f0::/28 | ff08:29ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 161 | ff08:2a00::/28 | ff08:2a0f:ffff:ffff:ffff:ffff:ffff:ffff |
| 162 | ff08:2a10::/28 | ff08:2a1f:ffff:ffff:ffff:ffff:ffff:ffff |
| 163 | ff08:2a20::/28 | ff08:2a2f:ffff:ffff:ffff:ffff:ffff:ffff |
| 164 | ff08:2a30::/28 | ff08:2a3f:ffff:ffff:ffff:ffff:ffff:ffff |
| 165 | ff08:2a40::/28 | ff08:2a4f:ffff:ffff:ffff:ffff:ffff:ffff |
| 166 | ff08:2a50::/28 | ff08:2a5f:ffff:ffff:ffff:ffff:ffff:ffff |
| 167 | ff08:2a60::/28 | ff08:2a6f:ffff:ffff:ffff:ffff:ffff:ffff |
| 168 | ff08:2a70::/28 | ff08:2a7f:ffff:ffff:ffff:ffff:ffff:ffff |
| 169 | ff08:2a80::/28 | ff08:2a8f:ffff:ffff:ffff:ffff:ffff:ffff |
| 170 | ff08:2a90::/28 | ff08:2a9f:ffff:ffff:ffff:ffff:ffff:ffff |
| 171 | ff08:2aa0::/28 | ff08:2aaf:ffff:ffff:ffff:ffff:ffff:ffff |
| 172 | ff08:2ab0::/28 | ff08:2abf:ffff:ffff:ffff:ffff:ffff:ffff |
| 173 | ff08:2ac0::/28 | ff08:2acf:ffff:ffff:ffff:ffff:ffff:ffff |
| 174 | ff08:2ad0::/28 | ff08:2adf:ffff:ffff:ffff:ffff:ffff:ffff |
| 175 | ff08:2ae0::/28 | ff08:2aef:ffff:ffff:ffff:ffff:ffff:ffff |
| 176 | ff08:2af0::/28 | ff08:2aff:ffff:ffff:ffff:ffff:ffff:ffff |
| 177 | ff08:2b00::/28 | ff08:2b0f:ffff:ffff:ffff:ffff:ffff:ffff |
| 178 | ff08:2b10::/28 | ff08:2b1f:ffff:ffff:ffff:ffff:ffff:ffff |
| 179 | ff08:2b20::/28 | ff08:2b2f:ffff:ffff:ffff:ffff:ffff:ffff |
| 180 | ff08:2b30::/28 | ff08:2b3f:ffff:ffff:ffff:ffff:ffff:ffff |
| 181 | ff08:2b40::/28 | ff08:2b4f:ffff:ffff:ffff:ffff:ffff:ffff |
| 182 | ff08:2b50::/28 | ff08:2b5f:ffff:ffff:ffff:ffff:ffff:ffff |
| 183 | ff08:2b60::/28 | ff08:2b6f:ffff:ffff:ffff:ffff:ffff:ffff |
| 184 | ff08:2b70::/28 | ff08:2b7f:ffff:ffff:ffff:ffff:ffff:ffff |
| 185 | ff08:2b80::/28 | ff08:2b8f:ffff:ffff:ffff:ffff:ffff:ffff |
| 186 | ff08:2b90::/28 | ff08:2b9f:ffff:ffff:ffff:ffff:ffff:ffff |
| 187 | ff08:2ba0::/28 | ff08:2baf:ffff:ffff:ffff:ffff:ffff:ffff |
| 188 | ff08:2bb0::/28 | ff08:2bbf:ffff:ffff:ffff:ffff:ffff:ffff |
| 189 | ff08:2bc0::/28 | ff08:2bcf:ffff:ffff:ffff:ffff:ffff:ffff |
| 190 | ff08:2bd0::/28 | ff08:2bdf:ffff:ffff:ffff:ffff:ffff:ffff |
| 191 | ff08:2be0::/28 | ff08:2bef:ffff:ffff:ffff:ffff:ffff:ffff |
| 192 | ff08:2bf0::/28 | ff08:2bff:ffff:ffff:ffff:ffff:ffff:ffff |
| 193 | ff08:2c00::/28 | ff08:2c0f:ffff:ffff:ffff:ffff:ffff:ffff |
| 194 | ff08:2c10::/28 | ff08:2c1f:ffff:ffff:ffff:ffff:ffff:ffff |
| 195 | ff08:2c20::/28 | ff08:2c2f:ffff:ffff:ffff:ffff:ffff:ffff |
| 196 | ff08:2c30::/28 | ff08:2c3f:ffff:ffff:ffff:ffff:ffff:ffff |
| 197 | ff08:2c40::/28 | ff08:2c4f:ffff:ffff:ffff:ffff:ffff:ffff |
| 198 | ff08:2c50::/28 | ff08:2c5f:ffff:ffff:ffff:ffff:ffff:ffff |
| 199 | ff08:2c60::/28 | ff08:2c6f:ffff:ffff:ffff:ffff:ffff:ffff |
| 200 | ff08:2c70::/28 | ff08:2c7f:ffff:ffff:ffff:ffff:ffff:ffff |
| 201 | ff08:2c80::/28 | ff08:2c8f:ffff:ffff:ffff:ffff:ffff:ffff |
| 202 | ff08:2c90::/28 | ff08:2c9f:ffff:ffff:ffff:ffff:ffff:ffff |
| 203 | ff08:2ca0::/28 | ff08:2caf:ffff:ffff:ffff:ffff:ffff:ffff |
| 204 | ff08:2cb0::/28 | ff08:2cbf:ffff:ffff:ffff:ffff:ffff:ffff |
| 205 | ff08:2cc0::/28 | ff08:2ccf:ffff:ffff:ffff:ffff:ffff:ffff |
| 206 | ff08:2cd0::/28 | ff08:2cdf:ffff:ffff:ffff:ffff:ffff:ffff |
| 207 | ff08:2ce0::/28 | ff08:2cef:ffff:ffff:ffff:ffff:ffff:ffff |
| 208 | ff08:2cf0::/28 | ff08:2cff:ffff:ffff:ffff:ffff:ffff:ffff |
| 209 | ff08:2d00::/28 | ff08:2d0f:ffff:ffff:ffff:ffff:ffff:ffff |
| 210 | ff08:2d10::/28 | ff08:2d1f:ffff:ffff:ffff:ffff:ffff:ffff |
| 211 | ff08:2d20::/28 | ff08:2d2f:ffff:ffff:ffff:ffff:ffff:ffff |
| 212 | ff08:2d30::/28 | ff08:2d3f:ffff:ffff:ffff:ffff:ffff:ffff |
| 213 | ff08:2d40::/28 | ff08:2d4f:ffff:ffff:ffff:ffff:ffff:ffff |
| 214 | ff08:2d50::/28 | ff08:2d5f:ffff:ffff:ffff:ffff:ffff:ffff |
| 215 | ff08:2d60::/28 | ff08:2d6f:ffff:ffff:ffff:ffff:ffff:ffff |
| 216 | ff08:2d70::/28 | ff08:2d7f:ffff:ffff:ffff:ffff:ffff:ffff |
| 217 | ff08:2d80::/28 | ff08:2d8f:ffff:ffff:ffff:ffff:ffff:ffff |
| 218 | ff08:2d90::/28 | ff08:2d9f:ffff:ffff:ffff:ffff:ffff:ffff |
| 219 | ff08:2da0::/28 | ff08:2daf:ffff:ffff:ffff:ffff:ffff:ffff |
| 220 | ff08:2db0::/28 | ff08:2dbf:ffff:ffff:ffff:ffff:ffff:ffff |
| 221 | ff08:2dc0::/28 | ff08:2dcf:ffff:ffff:ffff:ffff:ffff:ffff |
| 222 | ff08:2dd0::/28 | ff08:2ddf:ffff:ffff:ffff:ffff:ffff:ffff |
| 223 | ff08:2de0::/28 | ff08:2def:ffff:ffff:ffff:ffff:ffff:ffff |
| 224 | ff08:2df0::/28 | ff08:2dff:ffff:ffff:ffff:ffff:ffff:ffff |
| 225 | ff08:2e00::/28 | ff08:2e0f:ffff:ffff:ffff:ffff:ffff:ffff |
| 226 | ff08:2e10::/28 | ff08:2e1f:ffff:ffff:ffff:ffff:ffff:ffff |
| 227 | ff08:2e20::/28 | ff08:2e2f:ffff:ffff:ffff:ffff:ffff:ffff |
| 228 | ff08:2e30::/28 | ff08:2e3f:ffff:ffff:ffff:ffff:ffff:ffff |
| 229 | ff08:2e40::/28 | ff08:2e4f:ffff:ffff:ffff:ffff:ffff:ffff |
| 230 | ff08:2e50::/28 | ff08:2e5f:ffff:ffff:ffff:ffff:ffff:ffff |
| 231 | ff08:2e60::/28 | ff08:2e6f:ffff:ffff:ffff:ffff:ffff:ffff |
| 232 | ff08:2e70::/28 | ff08:2e7f:ffff:ffff:ffff:ffff:ffff:ffff |
| 233 | ff08:2e80::/28 | ff08:2e8f:ffff:ffff:ffff:ffff:ffff:ffff |
| 234 | ff08:2e90::/28 | ff08:2e9f:ffff:ffff:ffff:ffff:ffff:ffff |
| 235 | ff08:2ea0::/28 | ff08:2eaf:ffff:ffff:ffff:ffff:ffff:ffff |
| 236 | ff08:2eb0::/28 | ff08:2ebf:ffff:ffff:ffff:ffff:ffff:ffff |
| 237 | ff08:2ec0::/28 | ff08:2ecf:ffff:ffff:ffff:ffff:ffff:ffff |
| 238 | ff08:2ed0::/28 | ff08:2edf:ffff:ffff:ffff:ffff:ffff:ffff |
| 239 | ff08:2ee0::/28 | ff08:2eef:ffff:ffff:ffff:ffff:ffff:ffff |
| 240 | ff08:2ef0::/28 | ff08:2eff:ffff:ffff:ffff:ffff:ffff:ffff |
| 241 | ff08:2f00::/28 | ff08:2f0f:ffff:ffff:ffff:ffff:ffff:ffff |
| 242 | ff08:2f10::/28 | ff08:2f1f:ffff:ffff:ffff:ffff:ffff:ffff |
| 243 | ff08:2f20::/28 | ff08:2f2f:ffff:ffff:ffff:ffff:ffff:ffff |
| 244 | ff08:2f30::/28 | ff08:2f3f:ffff:ffff:ffff:ffff:ffff:ffff |
| 245 | ff08:2f40::/28 | ff08:2f4f:ffff:ffff:ffff:ffff:ffff:ffff |
| 246 | ff08:2f50::/28 | ff08:2f5f:ffff:ffff:ffff:ffff:ffff:ffff |
| 247 | ff08:2f60::/28 | ff08:2f6f:ffff:ffff:ffff:ffff:ffff:ffff |
| 248 | ff08:2f70::/28 | ff08:2f7f:ffff:ffff:ffff:ffff:ffff:ffff |
| 249 | ff08:2f80::/28 | ff08:2f8f:ffff:ffff:ffff:ffff:ffff:ffff |
| 250 | ff08:2f90::/28 | ff08:2f9f:ffff:ffff:ffff:ffff:ffff:ffff |
| 251 | ff08:2fa0::/28 | ff08:2faf:ffff:ffff:ffff:ffff:ffff:ffff |
| 252 | ff08:2fb0::/28 | ff08:2fbf:ffff:ffff:ffff:ffff:ffff:ffff |
| 253 | ff08:2fc0::/28 | ff08:2fcf:ffff:ffff:ffff:ffff:ffff:ffff |
| 254 | ff08:2fd0::/28 | ff08:2fdf:ffff:ffff:ffff:ffff:ffff:ffff |
| 255 | ff08:2fe0::/28 | ff08:2fef:ffff:ffff:ffff:ffff:ffff:ffff |
| 256 | ff08:2ff0::/28 | ff08:2fff:ffff:ffff:ffff:ffff:ffff:ffff |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |